## furo 2025.09.25%2Bdfsg

=== tests/requirements.txt ===
pytest
pytest-cov
pytest-xdist

httpx
tomli
packaging

## furo 2022.12.07+dfsg

=== debian/changelog ===
furo (2022.12.07+dfsg-1) unstable; urgency=medium

  * New upstream version 2022.12.07+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Dec 2022 13:59:09 +0100

furo (2022.09.29+dfsg-3) unstable; urgency=medium

  * upload the source package to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Nov 2022 09:35:40 +0100

furo (2022.09.29+dfsg-2) experimental; urgency=medium

  * Removed the useless references to "Open Software License" in
    debian/copyright, just keeping the comment about Files-Exluded

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Nov 2022 11:01:40 +0100

furo (2022.09.29+dfsg-1) experimental; urgency=medium

  * defined Excluded-Files, modified d/watch to repack the source,
    thanks to Thorsten Alteholz' message notifying that
    "Open Software License" must be considered non-free.
  * Changed the debian packaging, due to useful hints from Jonas Smedegaard:
    see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=992743
    + removed the big debian patches, which were manually prepared with
      non-debian tools, and manually reviewed.
    + created debian/patches/pyproject.patch to rule out Pradyun Gedam's
      sphinx_theme_builder, which used webpack and non-debian plugins
      to compile and minimize SASS files and JS scripts. Now, pybuild
      will invoke setuptools to build the package.
    + edited the target override_dh_auto_build to compile SASS files
      with sassc (this implies debian/patches/sass.patch which
      irons out some syntactic details which are not interpreted by
      sassc)
    + modified the way JS files are gathered for the binary package:
      a genuine copy is made, where original webpack's actions concatenated
      two scripts and minimized them down.
  * Initial release. (Closes: #1023449)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Nov 2022 10:07:29 +0100

=== debian/control ===
Source: furo
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3,
 python3-setuptools,
 python3-wheel,
 python3-build,
 python3-sphinx,
 python3-bs4,
 python3-pygments,
 dh-python,
 pybuild-plugin-pyproject,
 sassc,
Standards-Version: 4.6.1
Homepage: https://pradyunsg.me/furo/
Vcs-Browser: https://salsa.debian.org/debian/furo
Vcs-Git: https://salsa.debian.org/debian/furo.git

Package: furo
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3,
 python3-bs4,
 python3-pygments,
 python3-sphinx,
 node-normalize.css,
 sphinx-basic-ng
Description: clean customisable Sphinx documentation theme
 Furo is a clean customisable Sphinx documentation theme ...
  - Intentionally minimal — the most important thing is the content,
    not the scaffolding around it.
  - Responsive — adapting perfectly to the available screen space,
    to work on all sorts of devices.
  - Customisable — change the color palette, font families, logo and more!
  - Easy to navigate — with carefully-designed sidebar navigation and
    inter-page links.
  - Good looking content — through clear typography and well-stylised elements.
  - Good looking search — helps readers find what they want quickly.
  - Biased for smaller docsets — intended for smaller documentation sets,
    where presenting the entire hierarchy in the sidebar is not overwhelming.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

PYTHON3		= $(shell readlink /usr/bin/python3)

SASSDIR        	= src/furo/assets/styles
STATICBUILDDIR	= build/lib/furo/theme/furo/static
CSSDIR  	= $(STATICBUILDDIR)/styles
JSDIR   	= $(STATICBUILDDIR)/scripts
PKGTHEMEDIR	= debian/furo/usr/lib/$(PYTHON3)/dist-packages/furo/theme/furo

NORMALIZECSS 	= /javascript/normalize.css/normalize.css

override_dh_auto_build:
	dh_auto_build
	# compile SASS files to CSS
	mkdir -p $(CSSDIR)
	sassc $(SASSDIR)/furo.sass > $(CSSDIR)/furo.css
	sassc $(SASSDIR)/furo-extensions.sass > $(CSSDIR)/furo-extensions.css
	# fix one sass' caveat, which does not interpret
	# '@import "~normalize.css"'
	sed -i 's%~normalize.css%$(NORMALIZECSS)%' $(CSSDIR)/furo.css
	# copy JS scripts: no uglification, no simplification
	mkdir -p $(JSDIR)
	install -m 644 src/furo/assets/scripts/* $(JSDIR)

override_dh_auto_clean:
	rm -rf .pybuild/ build/
	rm -rf .sass-cache/
	rm -f $(CSSDIR)/* $(JSDIR)/*
	rm -rf src/*.egg-info

override_dh_install:
	dh_install
	install -d $(PKGTHEMEDIR)/static
	cp -a $(STATICBUILDDIR)/scripts $(PKGTHEMEDIR)/static
	cp -a $(STATICBUILDDIR)/styles $(PKGTHEMEDIR)/static
	# remove .gitignore files from the binary package
	find debian/furo -name .gitignore | xargs rm -f

## furo 2023.07.26+dfsg

=== debian/changelog ===
furo (2023.07.26+dfsg-1) unstable; urgency=medium

  * New upstream version 2023.07.26+dfsg
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 10:44:26 +0200

furo (2023.05.20+dfsg-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 12:06:25 +0200

furo (2023.05.20+dfsg-1) experimental; urgency=medium

  * New upstream version 2023.05.20+dfsg
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 May 2023 14:22:17 +0200

furo (2023.03.27+dfsg-1) experimental; urgency=medium

  * New upstream version 2023.03.27+dfsg
  * Bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 May 2023 17:39:22 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-python,
  pybuild-plugin-pyproject,
  sassc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pradyunsg.me/furo/
 Vcs-Browser: https://salsa.debian.org/debian/furo
 Vcs-Git: https://salsa.debian.org/debian/furo.git

## furo 2024.01.29+dfsg

=== debian/changelog ===
furo (2024.01.29+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.01.29+dfsg
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 15:49:29 +0100

furo (2023.09.10+dfsg-4) unstable; urgency=medium

  * patched src/furo/__init__.py, to include the script furo.js with
    an attribute type="module", in order to permit the syntax of its
    first line:
    ```import * as Gumshoe from "./gumshoe-patched.js";```
    Closes: #1060897

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Jan 2024 17:05:32 +0100

furo (2023.09.10+dfsg-3) unstable; urgency=medium

  * included the code from normalize.css into furo.css instead of
    the include directive. Closes: #1060897
  * moved node-normalize.css from dependencies to build-dependencies

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Jan 2024 12:12:05 +0100

furo (2023.09.10+dfsg-2) unstable; urgency=medium

  * Patched furo.js to tackle out the case where gumshoe-patched.js does
    not import an object named "Gumshoe". Closes: #1036437

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Sep 2023 11:25:16 +0200

furo (2023.09.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2023.09.10+dfsg
  * Updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Sep 2023 19:56:36 +0200

furo (2023.08.19+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Restore compatibility with Sphinx 5.3.
    This is a stopgap measure until a new Sphinx release
    can be uploaded to unstable. (Closes: #1050439)

 -- Timo Röhling <roehling@debian.org>  Wed, 30 Aug 2023 10:07:24 +0200

furo (2023.08.19+dfsg-1) unstable; urgency=medium

  * New upstream version 2023.08.19+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Aug 2023 10:48:54 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  dh-python,
  pybuild-plugin-pyproject,
  sassc,
+ node-normalize.css,
 Standards-Version: 4.6.2
 Homepage: https://pradyunsg.me/furo/
 Vcs-Browser: https://salsa.debian.org/debian/furo
@@ -29,7 +30,6 @@
  python3-bs4,
  python3-pygments,
  python3-sphinx,
- node-normalize.css,
  sphinx-basic-ng
 Description: clean customisable Sphinx documentation theme
  Furo is a clean customisable Sphinx documentation theme ...

## furo 2024.05.06+dfsg

=== debian/changelog ===
furo (2024.05.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.05.06+dfsg
  * Refreshed debian patches
  * Bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 14:37:37 +0200

furo (2024.04.27+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.04.27+dfsg
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 May 2024 18:24:07 +0200

## furo 2024.08.06%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  pybuild-plugin-pyproject,
  sassc,
  node-normalize.css,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pradyunsg.me/furo/
 Vcs-Browser: https://salsa.debian.org/debian/furo
 Vcs-Git: https://salsa.debian.org/debian/furo.git

## furo 2024.08.06+dfsg

=== debian/changelog ===
furo (2024.08.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.08.06+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 09 Aug 2024 09:01:13 +0200

furo (2024.07.18+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.07.18+dfsg
  * Refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jul 2024 12:49:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 JSDIR   	= $(STATICBUILDDIR)/scripts
 PKGTHEMEDIR	= debian/furo/usr/lib/$(PYTHON3)/dist-packages/furo/theme/furo
 
-NORMALIZECSS 	= /javascript/normalize.css/normalize.css
-
 override_dh_auto_build:
 	dh_auto_build
 	# compile SASS files to CSS
@@ -21,7 +19,10 @@
 	sassc $(SASSDIR)/furo-extensions.sass > $(CSSDIR)/furo-extensions.css
 	# fix one sass' caveat, which does not interpret
 	# '@import "~normalize.css"'
-	sed -i 's%~normalize.css%$(NORMALIZECSS)%' $(CSSDIR)/furo.css
+	cp /usr/share/javascript/normalize.css/normalize.css \
+	  $(CSSDIR)/furo.css.tmp
+	sed '1d'  $(CSSDIR)/furo.css >> $(CSSDIR)/furo.css.tmp
+	mv $(CSSDIR)/furo.css.tmp $(CSSDIR)/furo.css
 	# copy JS scripts: no uglification, no simplification
 	mkdir -p $(JSDIR)
 	install -m 644 src/furo/assets/scripts/* $(JSDIR)

## furo 2025.07.19+dfsg

=== debian/changelog ===
furo (2025.07.19+dfsg-2) unstable; urgency=medium

  * use the command sass from the packahe ruby-sass rather than sassc.
    Closes: #1114728
  * modification of a build-dependency : sassc -> ruby-sass

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 09 Sep 2025 17:22:43 +0200

furo (2025.07.19+dfsg-1) unstable; urgency=medium

  * New upstream version 2025.07.19+dfsg
  * Refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 10:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-pygments,
  dh-python,
  pybuild-plugin-pyproject,
- sassc,
+ ruby-sass,
  node-normalize.css,
 Standards-Version: 4.7.0
 Homepage: https://pradyunsg.me/furo/

=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	# compile SASS files to CSS
+	: # compile SASS files to CSS
 	mkdir -p $(CSSDIR)
-	sassc $(SASSDIR)/furo.sass > $(CSSDIR)/furo.css
-	sassc $(SASSDIR)/furo-extensions.sass > $(CSSDIR)/furo-extensions.css
-	# fix one sass' caveat, which does not interpret
-	# '@import "~normalize.css"'
-	cp /usr/share/javascript/normalize.css/normalize.css \
-	  $(CSSDIR)/furo.css.tmp
-	sed '1d'  $(CSSDIR)/furo.css >> $(CSSDIR)/furo.css.tmp
-	mv $(CSSDIR)/furo.css.tmp $(CSSDIR)/furo.css
-	# copy JS scripts: no uglification, no simplification
+	sass $(SASSDIR)/furo.sass  $(CSSDIR)/furo.css
+	sass $(SASSDIR)/furo-extensions.sass  $(CSSDIR)/furo-extensions.css
+	: # copy JS scripts: no uglification, no simplification
 	mkdir -p $(JSDIR)
 	install -m 644 src/furo/assets/scripts/* $(JSDIR)

## furo 2025.09.25%2Bdfsg

=== debian/changelog ===
furo (2025.09.25+dfsg-1) unstable; urgency=medium

  * New upstream version 2025.09.25+dfsg
  * refreshed patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 10:10:00 +0200

furo (2025.07.19+dfsg-3) unstable; urgency=medium

  [ Christian Bayle ]
  * Fix sass issue using rsass (Closes: #1114728)

  [ Georges Khaznadar ]
  * Thank you for your work, Christian!

 -- Christian Bayle <bayle@debian.org>  Thu, 18 Sep 2025 00:23:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,11 @@
 	dh_auto_build
 	: # compile SASS files to CSS
 	mkdir -p $(CSSDIR)
-	sass $(SASSDIR)/furo.sass  $(CSSDIR)/furo.css
-	sass $(SASSDIR)/furo-extensions.sass  $(CSSDIR)/furo-extensions.css
+	./debian/furosass
+	mv furo.css $(CSSDIR)/furo.css
+	mv furo-extensions.css $(CSSDIR)/furo-extensions.css
+	#sass $(SASSDIR)/furo.sass  $(CSSDIR)/furo.css
+	#sass $(SASSDIR)/furo-extensions.sass  $(CSSDIR)/furo-extensions.css
 	: # copy JS scripts: no uglification, no simplification
 	mkdir -p $(JSDIR)
 	install -m 644 src/furo/assets/scripts/* $(JSDIR)

## furo 2025.09.25+dfsg

=== docs/requirements.txt ===
myst-parser
sphinx-copybutton
sphinx-design
sphinx-inline-tabs
sphinx-tabs

=== debian/changelog ===
furo (2025.09.25+dfsg-2) unstable; urgency=medium

  * modified debian/rules to configure the package by forcing a hardcoded
    version number into pyproject.toml, as the build will be done in an
    environment without Git tag providing any version number.
    Closes: #1120156

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Nov 2025 10:13:47 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,9 @@
  dh-python,
  pybuild-plugin-pyproject,
  ruby-sass,
+ rsass,
  node-normalize.css,
+Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.7.0
 Homepage: https://pradyunsg.me/furo/
 Vcs-Browser: https://salsa.debian.org/debian/furo

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,16 @@
 CSSDIR  	= $(STATICBUILDDIR)/styles
 JSDIR   	= $(STATICBUILDDIR)/scripts
 PKGTHEMEDIR	= debian/furo/usr/lib/$(PYTHON3)/dist-packages/furo/theme/furo
+UPSTREAM_VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/+.*//')
+
+override_dh_auto_configure:
+	cp pyproject.toml pyproject.toml.bak
+	sed -i 's/dynamic.*/version = "$(UPSTREAM_VERSION)"/' pyproject.toml
+	dh_auto_configure
+
+override_dh_auto_clean:
+	[ -f pyproject.toml.bak ] && mv pyproject.toml.bak pyproject.toml
+	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build

## furo 2025.12.19+dfsg

=== debian/changelog ===
furo (2025.12.19+dfsg-1) unstable; urgency=medium

  * New upstream version 2025.12.19+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Dec 2025 12:09:53 +0100
